GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::noding::Noder Class Referenceabstract

Computes all intersections between segments in a set of SegmentString. More...

`#include <Noder.h>`

Inheritance diagram for geos::noding::Noder:

## Public Member Functions

virtual void | computeNodes (std::vector< SegmentString * > *segStrings)=0
| Computes the noding for a collection of SegmentStrings.
virtual std::vector < SegmentString * > * | getNodedSubstrings () const =0
| Returns a Collection of fully noded SegmentStrings. The SegmentStrings have the same context as their parent.

## Detailed Description

Computes all intersections between segments in a set of SegmentString.

Intersections found are represented as SegmentNodes and added to the SegmentStrings in which they occur. As a final step in the noding a new set of segment strings split at the nodes may be returned.

Last port: noding/Noder.java rev. 1.8 (JTS-1.7)

TODO: this was really an interface, we should avoid making it a Base class

## Member Function Documentation

virtual void geos::noding::Noder::computeNodes | ( | std::vector< SegmentString * > * | segStrings | ) |

pure virtual

Computes the noding for a collection of SegmentStrings.

Some Noders may add all these nodes to the input SegmentStrings; others may only add some or none at all.

Parameters

  segStrings | a collection of SegmentStrings to node

Implemented in geos::noding::IteratedNoder, geos::noding::MCIndexNoder, geos::noding::snapround::MCIndexSnapRounder, geos::noding::ScaledNoder, geos::noding::SinglePassNoder, geos::noding::snapround::SimpleSnapRounder, and geos::noding::SimpleNoder.

virtual std::vector<SegmentString*>* geos::noding::Noder::getNodedSubstrings | ( |  | ) | const

pure virtual

Returns a Collection of fully noded SegmentStrings. The SegmentStrings have the same context as their parent.

Returns
  a newly allocated std::vector of const SegmentStrings. Caller is responsible to delete it

Implemented in geos::noding::IteratedNoder, geos::noding::MCIndexNoder, geos::noding::SinglePassNoder, geos::noding::snapround::MCIndexSnapRounder, geos::noding::ScaledNoder, geos::noding::snapround::SimpleSnapRounder, and geos::noding::SimpleNoder.

The documentation for this class was generated from the following file:

- Noder.h